C Copyright(c) 1997, Space Science and Engineering Center, UW-Madison
C Refer to "McIDAS Software Acquisition and Distribution Policies"
C in the file  mcidas/data/license.txt

      SUBROUTINE PMODFY(NKEYS,VALUES,OVAL)
C *** $Id: pmodfy.f,v 1.6 1997/10/10 20:18:39 dglo Exp $ ***
C ****************************  PMODFY  ******************************
C $ SUBROUTINE PMODFY(NKEYS, VALUES, OVAL)  (GAD)
C $ PMODFY - MODIFY THE CONTENTS OF OVAL FOR MDO
C $ NKEYS = (I) INPUT  NUMBER OF KEY VALUES IN OVAL
C $ VALUES = (I) INPUT  ARRAY OF NEW VALUES TO INSERT IN OVAL
C $ OVAL = (I) OUTPUT  ARRAY OF VALUES WITH MODIFICATIONS
C $$ PMODFY = MD
C ********************************************************************
      IMPLICIT INTEGER (A-Z)
      DIMENSION VALUES(*),OVAL(*)
      IF (NKEYS.LT.1) RETURN
      DO 100 I=1,NKEYS
      OVAL(I)=VALUES(I)
100   CONTINUE
      RETURN
      END
